Bug 735128 (libkdeedu) - Review Request: libkdeedu - Libraries used by KDE Education applications
Summary: Review Request: libkdeedu - Libraries used by KDE Education applications
Status: CLOSED RAWHIDE
Alias: libkdeedu
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: kde-reviews marble blinken cantor 735132 735133 kanagram kbruch kgeography 735138 kig kiten klettres kmplot kstars 735147 kturtle kwordquiz parley rocs step
TreeView+ depends on / blocked
 
Reported: 2011-09-01 15:15 UTC by Rex Dieter
Modified: 2011-09-26 13:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-15 15:21:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2011-09-01 15:15:50 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeedu/libkdeedu.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeedu/libkdeedu-4.7.0-10.fc15.src.rpm
Description: Libraries used by KDE Education applications

Comment 1 Jaroslav Reznik 2011-09-07 12:58:48 UTC
Name: ok
Summary: ok
License: ok, thanks for info in spec
URL: ok
Source: ok (md5sum 10e59e1b68ffa940637a16369fef88da)
BRs/Reqs: ok, just kdelibs needed

This package was split, replaces kdeedu-libs, conflicts are ok. Package does not provide kdeedu-libs but I prefer not to as the whole kdeedu package split is done in one batch and these are all packages that requires libkdeedu. So should Provides be added?

Summary: ok
Macros used consistently: ok
ldconfig: ok
Icon cache: ok
Desktop file validations: NA
Docs: ok

Devel: contains static library libqtmmlwidget! According to package guidelines it has to be in standalone -static package.

rpmlint libkdeedu-4.7.0-10.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package builds, part of unofficial kde 47 f15 repo already.

Comment 2 Rex Dieter 2011-09-14 18:56:58 UTC
Re: kdeedu-libs
the kdeedu noarch metapackage in kde47 includes:
Obsoletes: kdeedu-libs < 4.7.0-10

Re: libqtmmlwidget.a
we can either make it standalone, or simply add
Provides: libkddeedu-static
then any pkg that uses it will need to change to
BuildRequires: libkdeedu-static
accordingly too

Any help to identify libqtmmlwidget.a using apps would be appreciated, I suppose splitting it out *would* help identify those... ie, what ftbfs after the split

Comment 3 Rex Dieter 2011-09-14 19:10:57 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeedu/libkdeedu.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdeedu/libkdeedu-4.7.0-11.fc15.src.rpm

%changelog
* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-11
- -static subpkg for libqtmmlwidget

Comment 4 Jaroslav Reznik 2011-09-15 14:54:47 UTC
Thanks Rex,
approved.

Comment 5 Rex Dieter 2011-09-15 15:02:32 UTC
New Package SCM Request
=======================
Package Name: libkdeedu
Short Description: Libraries used by KDE Education applications
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16

Comment 6 Gwyn Ciesla 2011-09-15 15:16:36 UTC
Git done (by process-git-requests).

Comment 7 Rex Dieter 2011-09-15 15:21:46 UTC
imported.


Note You need to log in before you can comment on or make changes to this bug.